clear all

%% import data

path = 'Data_public\CapillaryWave'; % path to data folder

% La=3
datapath = strcat(path, '\CW_Setup0_Amplitude.txt');
import = importdata(datapath);
dat0 = import.data;
datapath = strcat(path, '\CW_Setup0_AmplitudeRef.txt');
import = importdata(datapath);
ref0 = import.data;

% La=120
datapath = strcat(path, '\CW_Setup1_Amplitude.txt');
import = importdata(datapath);
dat1 = import.data;
datapath = strcat(path, '\CW_Setup1_AmplitudeRef.txt');
import = importdata(datapath);
ref1 = import.data;

% La=3e3
datapath = strcat(path, '\CW_Setup2_Amplitude.txt');
import = importdata(datapath);
dat2 = import.data;
datapath = strcat(path, '\CW_Setup2_AmplitudeRef.txt');
import = importdata(datapath);
ref2 = import.data;

% La=3e5
datapath = strcat(path, '\CW_Setup3_Amplitude.txt');
import = importdata(datapath);
dat3 = import.data;
datapath = strcat(path, '\CW_Setup3_AmplitudeRef.txt');
import = importdata(datapath);
ref3 = import.data;

% datapath = strcat(path, '\CW_Setup3_fixts_k2_Amplitude.txt');
% import = importdata(datapath);
% dat3 = import.data;

% datapath = strcat(path, '\CW_Setup3_fixts_k3_Amplitude.txt');
% import = importdata(datapath);
% dat3 = import.data;


%% plot

size_title = 22;
size_label = 18;
size_tick = 14;
size_marker = 8;

% La=3
figure
set(gcf,'DefaultAxesColorOrder',[0.0 0.0 0.0; 0.4 0.4 0.4])
plot(ref0(:,1), ref0(:,2), '-', dat0(1:100:end,1), dat0(1:100:end,2), 'x', 'Linewidth', 1.2, 'MarkerSize', size_marker)
title('La $= 3$', 'Interpreter', 'latex', 'FontSize', size_title)
xlabel('Time', 'Interpreter', 'latex', 'FontSize', size_label)
xlim([0, 0.4])
set(gca, 'XTick', [0 0.1 0.2 0.3 0.4], 'XTickLabel', {'0', '0.1', '0.2', '0.3', '0.4'}, 'Fontsize', size_tick)
ax = gca;
ax.YAxis.Exponent = -2;
ylabel('Amplitude height', 'Interpreter', 'latex', 'FontSize', size_label)
set(gca, 'YTick', [0 0.002 0.004 0.006 0.008 0.01]) 
set(gcf, 'color', 'w')
grid on

%export_fig 'CW_setup0_Amplitude.png'

% La=120
figure
set(gcf,'DefaultAxesColorOrder',[0.0 0.0 0.0; 0.4 0.4 0.4])
plot(ref1(:,1), ref1(:,2), '-', dat1(1:100:end,1), dat1(1:100:end,2), 'x', 'Linewidth', 1.2, 'MarkerSize', size_marker)
title('La $= 1.2\cdot10^2$', 'Interpreter', 'latex', 'FontSize', size_title)
legend({'Prosperetti', 'BoSSS'}, 'Interpreter', 'latex', 'FontSize', size_label, 'Location', 'northeast')
xlabel('Time', 'Interpreter', 'latex', 'FontSize', size_label)
xlim([0, 0.4])
set(gca, 'XTick', [0 0.1 0.2 0.3 0.4], 'XTickLabel', {'0', '0.1', '0.2', '0.3', '0.4'}, 'Fontsize', size_tick)
ax = gca;
ax.YAxis.Exponent = -2;
ylabel('Amplitude height', 'Interpreter', 'latex', 'FontSize', size_label)
set(gca, 'YTick', [0 0.002 0.004 0.006 0.008 0.01]) 
set(gcf, 'color', 'w')
grid on

%export_fig 'CW_setup1_Amplitude.png'

% La=3e3
figure
set(gcf,'DefaultAxesColorOrder',[0.0 0.0 0.0; 0.4 0.4 0.4])
plot(ref2(:,1), ref2(:,2), '-', dat2(1:100:end,1), dat2(1:100:end,2), 'x', 'Linewidth', 1.2, 'MarkerSize', size_marker)
title('La $= 3\cdot10^3$', 'Interpreter', 'latex', 'FontSize', size_title)
xlabel('Time', 'Interpreter', 'latex', 'FontSize', size_label)
xlim([0, 0.4])
set(gca, 'XTick', [0 0.1 0.2 0.3 0.4], 'XTickLabel', {'0', '0.1', '0.2', '0.3', '0.4'}, 'Fontsize', size_tick)
ax = gca;
ax.YAxis.Exponent = -2;
ylabel('Amplitude height', 'Interpreter', 'latex', 'FontSize', size_label)
set(gca, 'YTick', [0 0.002 0.004 0.006 0.008 0.01]) 
set(gcf, 'color', 'w')
grid on

%export_fig 'CW_setup2_Amplitude.png'

% La=3e5
figure
set(gcf,'DefaultAxesColorOrder',[0.0 0.0 0.0; 0.4 0.4 0.4])
plot(ref3(:,1), ref3(:,2), '-', dat3(1:100:end,1), dat3(1:100:end,2), 'x', 'Linewidth', 1.2, 'MarkerSize', 8)
title('La $= 3\cdot10^5$', 'Interpreter', 'latex', 'FontSize', size_title)
xlabel('Time', 'Interpreter', 'latex', 'FontSize', size_label)
xlim([0, 0.4])
set(gca, 'XTick', [0 0.1 0.2 0.3 0.4], 'XTickLabel', {'0', '0.1', '0.2', '0.3', '0.4'}, 'Fontsize', size_tick)
ax = gca;
ax.YAxis.Exponent = -2;
ylabel('Amplitude height', 'Interpreter', 'latex', 'FontSize', size_label)
set(gca, 'YTick', [0 0.002 0.004 0.006 0.008 0.01]) 
set(gcf, 'color', 'w')
grid on

%export_fig 'CW_setup3_Amplitude.png'



