clear all

%% import data tc1

file = 'convStudy_tc1_k2/RB_convStudy_tc1_k2_mesh4_terminalShapeN.txt';
import = importdata(file);
datak2 = import;

file = 'convStudy_tc1_k3/RB_convStudy_tc1_k3_mesh3_terminalShapeN.txt';
import = importdata(file);
datak3 = import;

% available online at http://www.featflow.de/en/benchmarks/cfdbenchmarking/bubble/bubble_reference.html

name = 'refData_Featflow/bubble_shapes/c1g1l7s';
file = strcat(name,'.txt');
import = importdata(file);
data1 = import;

name = 'refData_Featflow/bubble_shapes/c1g2l3s';
file = strcat(name,'.txt');
import = importdata(file);
data2 = import;

name = 'refData_Featflow/bubble_shapes/c1g3l4s';
file = strcat(name,'.txt');
import = importdata(file);
data3 = import;


%% plot data
nSegments1 = size(data1,1)/2;
nSegments2 = size(data2,1)/2;
nSegments3 = size(data3,1)/2;

hold on
plot(datak2(:,1), datak2(:,2), 'k-') 
plot(datak2(1:200:end,1), datak2(1:200:end,2), 'kx', 'LineWidth', 1.2, 'MarkerSize', 8)
plot(datak3(:,1), datak3(:,2), 'k-')
plot(datak3(100:200:end,1), datak3(100:200:end,2), 'k+', 'LineWidth', 1.2, 'MarkerSize', 8)
for i=1:nSegments1
    plot(data1(2*(i-1)+1:2*i,1),data1(2*(i-1)+1:2*i,2), 'k:')
    if(mod(i,320)==0)
         plot(data1(2*(i-1)+1:2*i,1),data1(2*(i-1)+1:2*i,2), 'ks', 'LineWidth', 1.2, 'MarkerSize', 8)
    end
end
for i=1:nSegments2
    plot(data2(2*(i-1)+1:2*i,1),data2(2*(i-1)+1:2*i,2), 'k:')
    if(mod(i,120)==0)
         plot(data2(2*(i-1)+1:2*i,1),data2(2*(i-1)+1:2*i,2), 'ko', 'LineWidth', 1.2, 'MarkerSize', 8)
    end
end
for i=1:nSegments3
    plot(data3(2*(i-1)+1:2*i,1),data3(2*(i-1)+1:2*i,2), 'k:')
    if(mod(i,60)==0)
         plot(data3(2*(i-1)+1:2*i,1),data3(2*(i-1)+1:2*i,2), 'k^', 'LineWidth', 1.2, 'MarkerSize', 8)
    end
end
axis equal
daspect([1 1 1])

xlabel('$x$', 'Interpreter', 'latex', 'FontSize', 18)
xlim([0.1, 0.9])
set(gca, 'XTick', [0.1 0.3 0.5 0.7 0.9], 'XTickLabel', {'0.1', '0.3', '0.5', '0.7', '0.9'}, 'Fontsize', 14)

ylabel('$y$', 'Interpreter', 'latex', 'FontSize', 18)
ylim([0.8, 1.4])
set(gca, 'YTick', [0.8 1.0 1.2 1.4], 'YTickLabel', {'0.8', '1.0', '1.2', '1.4'})

set(gcf, 'color', 'w')
set(gca, 'LineWidth', 1.2)
grid on

%export_fig 'RB_tc1_terminalShape.png'

