clear all

%% import data tc2

file = 'convStudy_tc2_k2/RB_convStudy_tc2_k2_mesh3_terminalShapeN.txt';
import = importdata(file);
datak = import;

% available online at http://www.featflow.de/en/benchmarks/cfdbenchmarking/bubble/bubble_reference.html

name = 'refData_Featflow/bubble_shapes/c2g1l8s';
file = strcat(name,'.txt');
import = importdata(file);
data1 = import;

name = 'refData_Featflow/bubble_shapes/c2g2l3s';
file = strcat(name,'.txt');
import = importdata(file);
data2 = import;

name = 'refData_Featflow/bubble_shapes/c2g3l4s';
file = strcat(name,'.txt');
import = importdata(file);
data3 = import;


%% plot data
nSegments1 = size(data1,1)/2;
nSegments2 = size(data2,1)/2;
nSegments3 = size(data3,1)/2;

hold on
plot(datak(:,1), datak(:,2), 'k-')
plot(datak(1:100:end,1), datak(1:100:end,2), 'kx', 'LineWidth', 1.2, 'MarkerSize', 8)
for i=1:nSegments1
    plot(data1(2*(i-1)+1:2*i,1),data1(2*(i-1)+1:2*i,2), 'k:')
    if(mod(i,200)==0)
         plot(data1(2*(i-1)+1:2*i,1),data1(2*(i-1)+1:2*i,2), 'ks', 'LineWidth', 1.2, 'MarkerSize', 8)
    end
end
for i=1:nSegments2
    plot(data2(2*(i-1)+1:2*i,1),data2(2*(i-1)+1:2*i,2), 'k:')
    if(mod(i,120)==0)
         plot(data2(2*(i-1)+1:2*i,1),data2(2*(i-1)+1:2*i,2), 'ko', 'LineWidth', 1.2, 'MarkerSize', 8)
    end
end
for i=1:nSegments3
    plot(data3(2*(i-1)+1:2*i,1),data3(2*(i-1)+1:2*i,2), 'k:')
    if(mod(i,70)==0)
         plot(data3(2*(i-1)+1:2*i,1),data3(2*(i-1)+1:2*i,2), 'k^', 'LineWidth', 1.2, 'MarkerSize', 8)
    end
end
axis equal
daspect([1 1 1])

xlabel('$x$', 'Interpreter', 'latex', 'FontSize', 18)
xlim([0.7, 0.9])

ylabel('$y$', 'Interpreter', 'latex', 'FontSize', 18)
ylim([0.55, 1.05])

set(gcf, 'color', 'w')
set(gca, 'LineWidth', 1.5)
grid on

%export_fig 'RB_tc2_terminalShape.png'

